
Name:           libva
Version:        1.0.4
%define         libvaSO 1
Release:        1.1
License:        MIT
Summary:        Video Acceleration (VA) API for Linux
Url:            http://freedesktop.org/wiki/Software/vaapi
Group:          System/Libraries
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkg-config
BuildRequires:  xorg-x11-devel
BuildRequires:  libdrm-devel

%description
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.

%package -n vaapi-tools
Summary:        Video Acceleration (VA) API for Linux
Group:          System/Libraries

%description -n vaapi-tools
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.

This is a set of tools around vaapi livrary.

%package -n libva%{libvaSO}
Summary:        Video Acceleration (VA) API for Linux
Group:          System/Libraries

%description -n libva%{libvaSO}
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.

%package devel
Summary:        Video Acceleration (VA) API for Linux -- development files
Group:          Development/Languages/C and C++
Requires:       libva%{libvaSO} = %{version}

%description devel
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.

This package provides the development environment for libva.

%prep
%setup -q

%build
autoreconf -v --install
%configure
make

%install
%makeinstall
find %{buildroot} -name '*.la' -delete -print
rm %{buildroot}%{_bindir}/test*

%clean
rm -rf %{buildroot}

%post -n libva1 -p /sbin/ldconfig
%postun -n libva1 -p /sbin/ldconfig

%files -n vaapi-tools
%defattr(-,root,root,-)
%{_bindir}/vainfo
%dir %{_libdir}/dri
%{_libdir}/dri/dummy_drv_video.so
%{_bindir}/h264encode
%{_bindir}/mpeg2vldemo
%{_bindir}/putsurface

%files -n libva%{libvaSO}
%defattr(-, root, root)
%{_libdir}/libva.so.%{libvaSO}
%{_libdir}/libva.so.%{version}
%{_libdir}/libva-tpi.so.%{libvaSO}
%{_libdir}/libva-tpi.so.%{version}
%{_libdir}/libva-x11.so.%{libvaSO}
%{_libdir}/libva-x11.so.%{version}

%files devel
%defattr(-,root,root,-)
%{_libdir}/libva.so
%{_libdir}/libva-tpi.so
%{_libdir}/libva-x11.so
%{_includedir}/va
%{_libdir}/pkgconfig/libva.pc
%{_libdir}/pkgconfig/libva-x11.pc

%changelog
* Tue Aug  3 2010 dominique-vlc.suse@leuenberger.net
- Update to 1.0.4.
* Tue Jul 20 2010 dominique-vlc.suse@leuenberger.net
- Update to 1.0.3
* Tue Jun  8 2010 dimstar@opensuse.org
- Split the library in libva1, the tools in vaapi-tools and the
  development in libva-devel. Both libraries can live in the same
  package as per policy: they are kept in sync with their soNUM.
* Mon Jun  7 2010 dominique-vlc.suse@leuenberger.net
- Initial package for VideoLAN repository, libva 1.0.1
